# Parallel build with too many nodes causes issues
%define _smp_ncpus_max 2

%define date    20170411

Name:           jumpnbump
Version:        1.60
Release:        %mkrel 0.%{date}.4
Summary:        Cute multiplayer platform game with bunnies
Group:          Games/Arcade
License:        GPLv2+
URL:            https://gitlab.com/LibreGames/jumpnbump
Source0:        %{name}-%{version}-%{date}.tar.xz

BuildRequires:  bzip2-devel
BuildRequires:  git-core
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(zlib)

%description
Jump'n'Bump is a cute multiplayer platform game in which you, as a bunny,
have to jump on your opponents to make them explode. It is a true multiplayer
game with network support and shoudn't be played alone, although computer
bunnies with limited AI are available. The game is a UNIX port of the old DOS
game by Brainchild Design.

%prep
%autosetup -S git -n %{name}-%{version}-%{date}

%build
%setup_compile_flags
%make_build PREFIX=%{_prefix} BINDIR=%{_gamesbindir} GAMEDATADIR=%{_gamesdatadir}

%install
%make_install PREFIX=%{_prefix} BINDIR=%{_gamesbindir} GAMEDATADIR=%{_gamesdatadir}

%files
%doc AUTHORS README.md
%{_gamesbindir}/%{name}*
%{_gamesbindir}/gobpack
%{_gamesbindir}/jnb*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/jumpbump.dat
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Wed Apr 19 2017 akien <akien> 1.60-0.20170411.4.mga6
+ Revision: 1096845
- Limit number of jobs for parallel build
- Another attempt to fix parallel building
- Attempt at fixing dependency ordering
- imported package jumpnbump

